RubyGems Navigation menu

activeinteractor 1.1.0

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versionen:

  1. 1.1.0 - October 04, 2020 (36 KB)
  2. 1.0.5 - September 16, 2020 (35 KB)
  3. 1.0.4 - February 11, 2020 (35 KB)
  4. 1.0.3 - February 11, 2020 (34,5 KB)
  5. 1.0.2 - February 04, 2020 (34 KB)
Zeige alle Versionen (29 total)

Runtime Abhängigkeiten (2):

  • activemodel >= 4.2, < 7.0
  • activesupport >= 4.2, < 7.0
  • Development Abhängigkeiten (3):

  • bundler ~> 2.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • Besitzer:

    Pushed by:

    Autoren:

    • Aaron Allen

    SHA 256-Prüfsumme:

    ab13961d36fcfe7dc71bd2b5c8ddf1ef969baa87fa7f5fcd1622bb263a778781

    Downloads insgesamt 12.793

    Für diese Version 180

    Gemfile:
    = In die Zwischenablage kopieren Kopiert!

    installieren:
    =

    Lizenz:

    MIT

    Erforderliche Ruby-Version: >= 2.5.0

    Links: